Summary: Yum configuration for Fedora Legacy
Name: legacy-yumconf
Version: 4
Release: 2.fc%{version}
License: GPL
Group: System Environment/Base
Source0: fedora-legacy.repo
Source1: FEDORA-LEGACY-GPG-KEY
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: fedora-release = 4

%description
This package contains yum repository information for using
Fedora Legacy repositories

#%prep

#%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/yum.repos.d
cp -f %{SOURCE0} $RPM_BUILD_ROOT/%{_sysconfdir}/yum.repos.d
# Install gpg key to be included in the docs
%{__cp} -a %{SOURCE1} .

#%post

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc FEDORA-LEGACY-GPG-KEY
%pubkey FEDORA-LEGACY-GPG-KEY
%config(noreplace) /%{_sysconfdir}/yum.repos.d/*

%changelog
* Fri Jun 30 2006 Jeff Sheltren <sheltren@cs.ucsb.edu> 4-2.fc4
- Update legacy repo file to use mirror lists on fedora.redhat.com
- Reduce legacy repo file to only contain updates and updates-testing

* Thu Jun 29 2006 Jeff Sheltren <sheltren@cs.ucsb.edu> 4-1.fc4
- Update package for FC4
- Remove all RHN configuration
- Remove import of GPG key, as the new version of yum will prompt user to do so

* Mon Jan 30 2006 David Eisenstein <deisenst at gtw.net> 3-4.fc3
- Add "Requires: fedora-release = 3"
- Add up2date to description and summary.

* Wed Jan 18 2006 Marc Deslauriers <marcdeslauriers@videotron.ca>
- Added up2date file mangling and gpg key import

* Fri Oct 21 2005 Jeff Sheltren <sheltren@cs.ucsb.edu>
- Merge all repo files into one
- Set repo file as config(noreplace)

* Fri Oct 21 2005 Jeff Sheltren <sheltren@cs.ucsb.edu>
- Initial build
